#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests

%define		module	natsort
Summary:	Simple yet flexible natural sorting in Python
Summary(pl.UTF-8):	Proste, ale elastyczne naturalne sortowanie w Pythonie
Name:		python3-%{module}
Version:	8.4.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/natsort/
Source0:	https://files.pythonhosted.org/packages/source/n/natsort/%{module}-%{version}.tar.gz
# Source0-md5:	e2e5314ac58cb7b48ca1680c02637893
URL:		https://pypi.org/project/natsort/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-hypothesis
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-pytest-mock
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple yet flexible natural sorting in Python.

%description -l pl.UTF-8
Proste, ale elastyczne naturalne sortowanie w Pythonie.

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_mock \
%{__python3} -m pytest tests
%endif

%if %{with doc}
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.rst
%attr(755,root,root) %{_bindir}/natsort
%{py3_sitescriptdir}/natsort
%{py3_sitescriptdir}/natsort-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Sep 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-natsort.git;a=log;h=master

* Tue Sep 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 8a462a5
- updated to 8.4.0, finished packaging

* Fri Apr 01 2022 Jan Rękorajski <baggins@pld-linux.org> 4799ce9
- tests need python3-hypothesis

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 73ae164
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 3db9efb
- rebuild with python 3.10

* Fri Jul 02 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a9d72cb
- Initial

